Bug 1000662 - Review Request: docker-io - Automates deployment of containerized applications
Review Request: docker-io - Automates deployment of containerized applications
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On: 1001317 1001396 1009967 1010271 1015857
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 22:47 EDT by Lokesh Mandvekar
Modified: 2014-07-01 18:59 EDT (History)
18 users (show)

See Also:
Fixed In Version: docker-io-0.7.0-14.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-11 08:49:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattdm: fedora‑review+


Attachments (Terms of Use)
removes dotcloud/tar dep (821 bytes, patch)
2013-09-21 22:14 EDT, Lokesh Mandvekar
no flags Details | Diff

  None (edit)
Description Lokesh Mandvekar 2013-08-23 22:47:14 EDT
Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/lxc-docker.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/lxc-docker-0.5.3-1.fc21.src.rpm

Description: 
Docker is an open-source engine that automates the deployment of any
application as a lightweight, portable, self-sufficient container that will
run virtually anywhere.

Docker containers can encapsulate any payload, and will run consistently on
and between virtually any server. The same container that a developer builds
and tests on a laptop will run at scale, in production*, on VMs, bare-metal
servers, OpenStack clusters, public instances, or combinations of the above.


Fedora Account System Username: lsm5

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5848080

$ rpmlint SPECS/lxc-docker.spec 
SPECS/lxc-docker.spec:28: W: rpm-buildroot-usage %build mkdir -p %{buildroot}%{_bindir}
SPECS/lxc-docker.spec:29: W: rpm-buildroot-usage %build install -m 755 ./bin/docker %{buildroot}%{_bindir}
SPECS/lxc-docker.spec: W: no-%install-section
0 packages and 1 specfiles checked; 0 errors, 3 warnings.

$ rpmlint SRPMS/lxc-docker-0.5.3-1.fc21.src.rpm 
lxc-docker.src:28: W: rpm-buildroot-usage %build mkdir -p %{buildroot}%{_bindir}
lxc-docker.src:29: W: rpm-buildroot-usage %build install -m 755 ./bin/docker %{buildroot}%{_bindir}
lxc-docker.src: W: no-%install-section
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ $ rpmlint RPMS/x86_64/lxc-docker-0.5.3-1.fc21.x86_64.rpm
lxc-docker.x86_64: W: unstripped-binary-or-object /usr/bin/docker                                                 
lxc-docker.x86_64: E: statically-linked-binary /usr/bin/docker
lxc-docker.x86_64: W: no-manual-page-for-binary docker
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
Comment 1 Matthew Miller 2013-08-26 10:37:59 EDT
> Name:           lxc-docker

Where does the name come from? This name implies a relation to http://lxc.sourceforge.net/ -- I know there's *also* libvirt LXC, but I don't think we want to make the confusion even worse!

There is an existing "docker" package in Fedora, a desktop dock applet for Gnome 2 and KDE. That hasn't been changed upstream since 2002, and hasn't been maintained in fedora except for the initial package and a specfile fix in 2007. I wonder if maybe we could drop it or rename it?

I know that package was there first, but I don't know if that's a good reason to hold on to a name forever.

(Problems with flat fedora universe in action... *sigh*.)

Failing that, maybe docker-io or something? (shades of openoffice.org.... ugh)


> Source0:        http://lsm5.fedorapeople.org/v%{version}.tar.gz

We need the upstream source. If you're pulling from github, do it like this:
http://fedoraproject.org/wiki/Packaging:SourceURL#Github

> BuildRequires:  git

It's not actually checking code out of git at build time is it?
Comment 2 Lokesh Mandvekar 2013-08-26 12:40:22 EDT
(In reply to Matthew Miller from comment #1)
> > Name:           lxc-docker
> 
> Where does the name come from? This name implies a relation to
> http://lxc.sourceforge.net/ -- I know there's *also* libvirt LXC, but I
> don't think we want to make the confusion even worse!
> 
> There is an existing "docker" package in Fedora, a desktop dock applet for
> Gnome 2 and KDE. That hasn't been changed upstream since 2002, and hasn't
> been maintained in fedora except for the initial package and a specfile fix
> in 2007. I wonder if maybe we could drop it or rename it?
> 
> I know that package was there first, but I don't know if that's a good
> reason to hold on to a name forever.
> 
> (Problems with flat fedora universe in action... *sigh*.)
> 
> Failing that, maybe docker-io or something? (shades of openoffice.org....
> ugh)

I did name it docker-io initially. But, I talked on #docker and they said everyone goes with lxc-docker, so it's better fedora goes with it too. That said, lxc will soon be optional (deprecated?) and the whole docker community will decide on a new package name.
> 
> 
> > Source0:        http://lsm5.fedorapeople.org/v%{version}.tar.gz
> 
> We need the upstream source. If you're pulling from github, do it like this:
> http://fedoraproject.org/wiki/Packaging:SourceURL#Github
> 
> > BuildRequires:  git
> 
> It's not actually checking code out of git at build time is it?

The default build process did pull stuff using git, but the recent spec file gets rid of that. Fixed in new spec file: 

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/lxc-docker.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/lxc-docker-0.5.3-2.fc21.src.rpm

$ rpmlint SPECS/lxc-docker.spec 
SPECS/lxc-docker.spec:52: W: rpm-buildroot-usage %build mkdir -p %{buildroot}%{_bindir}
SPECS/lxc-docker.spec:53: W: rpm-buildroot-usage %build mkdir -p %{buildroot}%{_mandir}/man1
SPECS/lxc-docker.spec:54: W: rpm-buildroot-usage %build install -p bin/docker %{buildroot}%{_bindir}
SPECS/lxc-docker.spec:57: W: rpm-buildroot-usage %build cp -p packaging/debian/*.1.gz %{buildroot}%{_mandir}/man1
SPECS/lxc-docker.spec: W: no-%install-section
0 packages and 1 specfiles checked; 0 errors, 5 warnings.

$ rpmlint SRPMS/lxc-docker-0.5.3-2.fc21.src.rpm 
lxc-docker.src:52: W: rpm-buildroot-usage %build mkdir -p %{buildroot}%{_bindir}
lxc-docker.src:53: W: rpm-buildroot-usage %build mkdir -p %{buildroot}%{_mandir}/man1
lxc-docker.src:54: W: rpm-buildroot-usage %build install -p bin/docker %{buildroot}%{_bindir}
lxc-docker.src:57: W: rpm-buildroot-usage %build cp -p packaging/debian/*.1.gz %{buildroot}%{_mandir}/man1
lxc-docker.src: W: no-%install-section
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

$ rpmlint RPMS/x86_64/lxc-docker-0.5.3-2.fc21.x86_64.rpm 
lxc-docker.x86_64: W: unstripped-binary-or-object /usr/bin/docker
lxc-docker.x86_64: E: statically-linked-binary /usr/bin/docker
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
Comment 3 Matthew Miller 2013-08-26 12:53:40 EDT
Source1:        https://github.com/gorilla/context/archive/master.tar.gz?/gorilla-context.tgz
Source2:        https://github.com/gorilla/mux/archive/master.tar.gz?/gorilla-mux.tgz
Source3:        https://github.com/kr/pty/archive/master.tar.gz?/kr-pty.tgz
Source4:        https://github.com/dotcloud/tar/archive/master.tar.gz?/tar.tgz

So, in the current Fedora way of doing things, each of these external dependencies should be a separate package if possible. And the tar package might be an issue since it's a fork....
Comment 4 Lokesh Mandvekar 2013-08-26 13:12:53 EDT
Looks like we should be good to go without Source4 and I'll package the first 3
Comment 5 Lokesh Mandvekar 2013-08-27 22:47:23 EDT
The dependencies initially listed as tarballs are now listed as rpm BuildRequires (golang-context: bug 1001300, golang-mux: bug 1001317 and golang-pty: bug 1001396)

NOTE: the koji build would fail currently (unless the 3 packages listed above are first into the system)

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/lxc-docker.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/lxc-docker-0.5.3-3.fc21.src.rpm

$ rpmlint SPECS/lxc-docker.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/lxc-docker-0.5.3-3.fc21.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/x86_64/lxc-docker-0.5.3-3.fc21.x86_64.rpm 
lxc-docker.x86_64: W: unstripped-binary-or-object /usr/bin/docker
lxc-docker.x86_64: E: statically-linked-binary /usr/bin/docker
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
Comment 6 Lokesh Mandvekar 2013-08-28 12:24:06 EDT
Some citation changes in the changelog.

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/lxc-docker.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/lxc-docker-0.5.3-4.fc21.src.rpm
Comment 8 Daniel Berrange 2013-08-29 09:54:30 EDT
AFAIK, this docker version requires support for AUFS union filesystem, which is not upstream and thus not in Fedora. Docker upstream are looking to address this in a future release by offering non-aufs storage options. This makes this package somewhat useless, as Fedora users won't actually be able to start any containers unless they are building custom kernels / modules themselves. I'm unclear on whether Fedora packaging guidelines have a policy on whether it is acceptable to package apps that won't work without the user compiling extra kernel modules  ?
Comment 9 Matthew Miller 2013-09-05 15:06:13 EDT
It looks like the packaging committee decision is to allow "docker-io" as the name for now and provide a path for renaming to just "docker" in two Fedora releases.
Comment 10 Lokesh Mandvekar 2013-09-10 02:17:29 EDT
renamed to docker-io as per https://fedorahosted.org/fpc/ticket/341#comment:7
Comment 11 Matthew Miller 2013-09-21 15:08:15 EDT
I think we've got all the buildreqs done (or at least well in progress). The updated specfile is http://lsm5.fedorapeople.org/rpmbuild/SPECS/docker-io.spec, right?
Comment 12 Matthew Miller 2013-09-21 16:14:08 EDT
Some packaging questions:

1) Should there be a docker systemd service?

2) should there be a `docker` group? (See http://fedoraproject.org/wiki/Packaging:UsersAndGroups for how to do it in the specfile -- my preference is the "soft static allocation)
Comment 13 Matthew Miller 2013-09-21 16:19:44 EDT
The lxc-docker man page shouldn't be installed as %doc (even though man pages are clearly docs). Also it should probably be "docker.1.gz". Put it in to  %{_mandir}/man1/ instead of using the %doc macro.

Although, as man pages go, it's not _really_ all that helpful and seems to be mostly about installation, which doesn't belong in a man page. I'll file this upstream. :)
Comment 14 Matthew Miller 2013-09-21 16:30:00 EDT
Wait, actually, there's a real man page in docs. Generate that with "make man" in that directory. (This introduces Buildrequires: python-sphinx and python-sphinxcontrib-httpdomain.) Then, install docs/_build/man/docker.1 into  %{_mandir}/man1/ (it will be compressed automatically, so list as .gz in the %files section)
Comment 15 Matthew Miller 2013-09-21 17:40:50 EDT
Systemd service would look something like:



[Unit]
Description=Docker container management daemon

[Service]
Type=simple
ExecStart=/usr/bin/docker -d


[Install]
WantedBy=multi-user.target


I don't think there are any dependencies -- the Arch Linux service file has "After:  Network", which might be needed if containers are started automatically (-r flag to docker, but that's going to be the default in 0.7) on boot.

We might want "Restart=on-failure".
Comment 16 Lokesh Mandvekar 2013-09-21 21:40:36 EDT
Alex's devmapper code patch has been commented out for now. So, this is still pretty much vanilla docker.

The latest golang release seems to incorporate patches from dotcloud/tar, so utils/tarsums.go uses "archive/tar" in place of "github.com/dotcloud/tar"

golang-0:1.1.2-5.fc21.x86_64 was available on my local machine but on my remote instance it was still golang-0:1.1.2-4.fc21.x86_64

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/docker-io.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/docker-io-0.6.2-3.fc21.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5966150
Comment 17 Matthew Miller 2013-09-21 21:53:26 EDT
(In reply to Lokesh Mandvekar from comment #16)
> Alex's devmapper code patch has been commented out for now. So, this is
> still pretty much vanilla docker.

Yep. Let me know when you'r eready to reanable it.


> The latest golang release seems to incorporate patches from dotcloud/tar, so
> utils/tarsums.go uses "archive/tar" in place of "github.com/dotcloud/tar"

Yes that's bug #1010271.

> golang-0:1.1.2-5.fc21.x86_64 was available on my local machine but on my
> remote instance it was still golang-0:1.1.2-4.fc21.x86_64

Note that the release #s are different across different Fedora releases.
Comment 18 Lokesh Mandvekar 2013-09-21 22:14:34 EDT
Created attachment 801066 [details]
removes dotcloud/tar dep

Since Bug 1010271 uses patches from dotcloud/tar, perhaps docker upstream might wanna use this (unless it's fedora specific)
Comment 19 Lokesh Mandvekar 2013-09-21 22:16:48 EDT
(In reply to Matthew Miller from comment #17)

> Yep. Let me know when you'r eready to reanable it.

Just waiting to get some things clarified with Alex..will reenable as soon as that's done

> Note that the release #s are different across different Fedora releases.

Both my local machine and my EC2 instance are fedora rawhide x86_64, and I ran yum update on both. Anything I'm missing here?

Also, how does the rest of it look?
Comment 20 Matthew Miller 2013-09-21 22:32:25 EDT
The Makefile calls git, but git isn't a buildrequirement. However, *if* git is installed, I get

fatal: Not a git repository (or any parent up to mount point /home)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).
fatal: Not a git repository (or any parent up to mount point /home)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).
fatal: Not a git repository (or any parent up to mount point /home)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).
fatal: Not a git repository (or any parent up to mount point /home)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).

Which makes sense because there's no .git in the source tarball.

The Makefile seems to be added as a patch...  looks from the changelog brought forward from 0.5.3...  I think that this might not be the best approach.
Comment 21 Matthew Miller 2013-09-21 22:33:45 EDT
(In reply to Lokesh Mandvekar from comment #18)
> Created attachment 801066 [details]
> removes dotcloud/tar dep
> 
> Since Bug 1010271 uses patches from dotcloud/tar, perhaps docker upstream
> might wanna use this (unless it's fedora specific)

I think it's okay for upstream to use what they're doing until go 1.2 comes out.
Comment 22 Matthew Miller 2013-09-21 23:13:13 EDT
Rather than the patched-in makefile, can (or should?) this just follow the template in the other golang packages?
Comment 23 Matthew Miller 2013-09-22 13:29:25 EDT
I already discussed this with Lokesh, but for anyone else following at home, here's an alternate approach to the spec file: http://mattdm.org/misc/fedora/docker/docker-io.spec

(This assumes Go lib devel packages which put source into /usr/share/gopath, a la Debian. We've already repackaged the build deps to do that. https://wiki.debian.org/MichaelStapelberg/GoPackaging)
Comment 24 Lokesh Mandvekar 2013-09-23 11:58:25 EDT
* Mon Sep 23 2013 Lokesh Mandvekar <lsm5@redhat.com> 0.6.2-9
- device-mapper-devel is a buildrequires for alex's patchset
- docker.service listed as a separate source file

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/docker-io.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/docker-io-0.6.2-9.fc21.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5971961
Comment 25 Lokesh Mandvekar 2013-09-23 17:23:54 EDT
* Mon Sep 23 2013 Lokesh Mandvekar <lsm5@redhat.com> 0.6.2-10.devicemapper
- release tag changed to denote devicemapper patch

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/docker-io.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/docker-io-0.6.2-10.devicemapper.fc21.src.rpm
Comment 26 Lokesh Mandvekar 2013-09-23 17:58:45 EDT
* Mon Sep 23 2013 Lokesh Mandvekar <lsm5@redhat.com> 0.6.2-11.devicemapper
- better looking url


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/docker-io.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/docker-io-0.6.2-11.devicemapper.fc21.src.rpm
Comment 27 Matthew Miller 2013-09-23 18:08:42 EDT
Review passed.

Note: This currently has files which conflict with the existing docker package but that's also passed rename review (bug #1005459) so that should not be a problem. It also doesn't generate debuginfo, but that's a known issue with Go. (In general, since this is our first actual program written in Go, we may need to make changes as the draft Go guidelines become non-draft.
Comment 28 Lokesh Mandvekar 2013-09-23 18:12:41 EDT
New Package SCM Request
=======================
Package Name: docker-io
Short Description: Automates deployment of containerized applications
Owners: lsm5
Branches: f19 f20 el6
InitialCC:
Comment 29 Gwyn Ciesla 2013-09-24 08:21:03 EDT
Git done (by process-git-requests).
Comment 30 Matthew Miller 2013-09-24 09:11:35 EDT
Note that upstream has asked us to hold off doing actual builds until the device-mapper patches are merged upstream.
Comment 31 Lokesh Mandvekar 2013-09-24 10:39:36 EDT
Though past review, this package requires lxc and tar (thanks to Marek Goldmann for pointing this out), listed in the new spec.

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/docker-io.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/docker-io-0.6.2-14.devicemapper.fc21.src.rpm
Comment 32 Lokesh Mandvekar 2013-10-08 12:35:40 EDT
%changelog
* Mon Oct 07 2013 Lokesh Mandvekar <lsm5@redhat.com> - 0.7-2.rc2
- rc branch includes devmapper
- el6 BZ #1015865 fix included

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/docker-io.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/docker-io-0.7-2.rc2.fc21.src.rpm
Comment 33 Matthew Miller 2013-10-08 13:03:47 EDT
Release should be 0.2.rc2%{?dist} since 0.7 isn't out yet.

If you haven't done any non-scratch builds it's okay to go ahead and fix that. if you have, oh well, we'll be more careful next time.

As per upstream, it's okay to go ahead and build this into rawhide for testing. then we can close this. :)
Comment 34 Daniel Walsh 2013-10-09 12:01:41 EDT
I downloaded the srpm and tried to build on Rawhide, but I am getting.
rpmbuild --rebuild docker-io-0.7-2.rc2.fc21.src.rpm 
Installing docker-io-0.7-2.rc2.fc21.src.rpm
	golang("code.google.com/p/gosqlite/sqlite3") is needed by docker-io-0.7-2.rc2.fc21.x86_64


Where do I get that package from?
Comment 35 Lokesh Mandvekar 2013-10-09 12:28:55 EDT
(In reply to Daniel Walsh from comment #34)
> I downloaded the srpm and tried to build on Rawhide, but I am getting.
> rpmbuild --rebuild docker-io-0.7-2.rc2.fc21.src.rpm 
> Installing docker-io-0.7-2.rc2.fc21.src.rpm
> 	golang("code.google.com/p/gosqlite/sqlite3") is needed by
> docker-io-0.7-2.rc2.fc21.x86_64
> 
> 
> Where do I get that package from?

Could you try this: http://lsm5.fedorapeople.org/rpmbuild/RPMS/noarch/golang-googlecode-sqlite-devel-0-0.7.hg74691fb6f837.fc21.noarch.rpm

I submitted a buildroot overrides for all deps, and I'm also working on a sphinx-build issue for el6, updates coming soon.
Comment 36 Matthew Miller 2013-10-09 12:42:33 EDT
(In reply to Daniel Walsh from comment #34)
> I downloaded the srpm and tried to build on Rawhide, but I am getting.
> rpmbuild --rebuild docker-io-0.7-2.rc2.fc21.src.rpm 
> Installing docker-io-0.7-2.rc2.fc21.src.rpm
> 	golang("code.google.com/p/gosqlite/sqlite3") is needed by
> docker-io-0.7-2.rc2.fc21.x86_64
> 
> 
> Where do I get that package from?

It's one of the blockers linked to this -- bug #1015857. The latest build for rawhide is
http://koji.fedoraproject.org/koji/buildinfo?buildID=470148
Comment 37 Daniel Walsh 2013-10-09 12:59:56 EDT
Current build fails with unpackaged debuginfo.
Comment 38 Lokesh Mandvekar 2013-10-09 13:26:18 EDT
* Wed Oct 09 2013 Lokesh Mandvekar <lsm5@redhat.com> - 0.7-0.3.rc2
- debuginfo package generated
- buildrequires listed with versions where needed
- conditionals changed to reflect systemd or not
- docker commit value not needed
- versioned provides lxc-docker


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/docker-io.spec

SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/docker-io-0.7-0.3.rc2.fc21.src.rpm

RPM URL: http://lsm5.fedorapeople.org/rpmbuild/RPMS/x86_64/docker-io-0.7-0.3.rc2.fc21.x86_64.rpm

debuginfo RPM URL: http://lsm5.fedorapeople.org/rpmbuild/RPMS/x86_64/docker-io-debuginfo-0.7-0.3.rc2.fc21.x86_64.rpm

$ rpmlint SPECS/docker-io.spec 
SPECS/docker-io.spec: W: invalid-url Source0: https://github.com/dotcloud/docker/archive/docker-0.7-rc2.zip HTTP Error 404: Not Found
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

when I click on the Download zip for 0.7-rc2 branch, that's the link I see, but wget said link doesn't seem to work, can anyone help me with the github magic?
or could we ignore it cause release versions would have URLs which can be easily 

mattdm: is this good to go for rawhide?

Also, for el6, apart from the doc build issue (Bug 1016434 should help partially, test pending), I would need feedback on the xinetd file:
http://lsm5.fedorapeople.org/rpmbuild/SOURCES/docker.xinetd
Comment 39 Lokesh Mandvekar 2013-10-09 13:28:52 EDT

> or could we ignore it cause release versions would have URLs which can be
> easily 

s/easily/easily figured out?
Comment 40 Lokesh Mandvekar 2013-10-09 13:31:04 EDT
I should perhaps get rid of the:

%else
%bcond_with systemd
Comment 41 Lokesh Mandvekar 2013-10-09 15:09:31 EDT
%changelog
* Wed Oct 09 2013 Lokesh Mandvekar <lsm5@redhat.com> - 0.7-0.5.rc3
- rc3 version bump
- exclusivearch x86_64

* Wed Oct 09 2013 Lokesh Mandvekar <lsm5@redhat.com> - 0.7-0.4.rc2
- debuginfo not Go-ready yet, skipped


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/docker-io.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/docker-io-0.7-0.5.rc3.fc21.src.rpm
RPM URL: http://lsm5.fedorapeople.org/rpmbuild/RPMS/x86_64/docker-io-0.7-0.5.rc3.fc21.x86_64.rpm
Comment 42 Lokesh Mandvekar 2013-10-19 05:59:11 EDT
%changelog
* Sat Oct 19 2013 Lokesh Mandvekar <lsm5@redhat.com> - 0.7-0.10.rc4
- rc version bump
- docker-init -> dockerinit
- zsh completion script installed to /usr/share/zsh/site-functions

Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/docker-io.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/docker-io-0.7-0.10.rc3.fc21.src.rpm

Being pushed to rawhide, should be available in a bit.
Comment 43 Lokesh Mandvekar 2013-10-19 06:03:17 EDT
(In reply to Lokesh Mandvekar from comment #42)

> SRPM URL:
> http://lsm5.fedorapeople.org/rpmbuild/SRPMS/docker-io-0.7-0.10.rc3.fc21.src.
> rpm

Correction: 
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/docker-io-0.7-0.10.rc4.fc21.src.rpm
Comment 44 Daniel Walsh 2013-10-22 11:03:25 EDT
rpmbuild --rebuild docker-io-0.7-0.10.rc4.fc21.src.rpm
<snip>
+ install -p -m 644 /home/dwalsh/sources/SOURCES/docker.service /home/dwalsh/sources/BUILDROOT/docker-io-0.7-0.10.rc4.fc21.x86_64/usr/lib/systemd/system
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id -m --run-dwz --dwz-low-mem-die-limit 10000000 --dwz-max-die-limit 110000000 /home/dwalsh/sources/BUILD/docker-3c20a8cdc7b1b323696c5720c23480971f55ccef
extracting debug info from /home/dwalsh/sources/BUILDROOT/docker-io-0.7-0.10.rc4.fc21.x86_64/usr/bin/docker
/usr/lib/rpm/debugedit: /home/dwalsh/sources/BUILDROOT/docker-io-0.7-0.10.rc4.fc21.x86_64/usr/bin/docker: Unknown debugging section .debug_gdb_scripts
extracting debug info from /home/dwalsh/sources/BUILDROOT/docker-io-0.7-0.10.rc4.fc21.x86_64/usr/bin/dockerinit
/usr/lib/rpm/debugedit: /home/dwalsh/sources/BUILDROOT/docker-io-0.7-0.10.rc4.fc21.x86_64/usr/bin/dockerinit: Unknown debugging section .debug_gdb_scripts
*** ERROR: No build ID note found in /home/dwalsh/sources/BUILDROOT/docker-io-0.7-0.10.rc4.fc21.x86_64/usr/bin/dockerinit
error: Bad exit status from /var/tmp/rpm-tmp.UWPQ9C (%install)


RPM build errors:
    user lsm5 does not exist - using root
    group lsm5 does not exist - using root
    user lsm5 does not exist - using root
    group lsm5 does not exist - using root
    user lsm5 does not exist - using root
    group lsm5 does not exist - using root
    user lsm5 does not exist - using root
    group lsm5 does not exist - using root
    user lsm5 does not exist - using root
    group lsm5 does not exist - using root
    user lsm5 does not exist - using root
    group lsm5 does not exist - using root
    Bad exit status from /var/tmp/rpm-tmp.UWPQ9C (%install)
[Exit 1]
Comment 45 Lokesh Mandvekar 2013-10-22 11:47:27 EDT
for reference, here's my build.log for sudo mock -r fedora-rawhide-x86_64 rebuild docker-io-0.7-0.10.rc4.fc21.src.rpm

http://fpaste.org/48604/82456550/ . I also have debug_package nil which shouldn't generate any debuginfo packages. Something I missed?
Comment 46 Jeff Schroeder 2013-10-22 12:19:32 EDT
Random OT question, why do you run sudo mock? Just put yourself in the mock group.
Comment 47 Lokesh Mandvekar 2013-10-22 12:51:17 EDT
(In reply to Jeff Schroeder from comment #46)
> Random OT question, why do you run sudo mock? Just put yourself in the mock
> group.

True. Thanks for pointing out. Just did that now. 

Actually this was pretty much my first time running mock :| and I did it the quick and dirty way. I usually run koji builds and wasn't sure what caused Dan's build error and Vincent suggested I do mock builds as well.
Comment 48 Daniel Walsh 2013-10-22 13:19:03 EDT
I had an ancient .rpmmacros file which had this line

%__debug_package 0

Which when commented out fixes the problem.
Comment 49 Vincent Batts 2013-10-22 13:21:35 EDT
cool. I was prepping to put on my digging helmet. :-)
Comment 50 Peter Lemenkov 2013-10-23 07:13:43 EDT
Package Change Request
======================
Package Name: docker-io
InitialCC: golang-sig
Comment 51 Gwyn Ciesla 2013-10-23 09:59:11 EDT
Done.
Comment 52 Fedora Update System 2013-11-28 02:03:32 EST
docker-io-0.7.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-6.fc20
Comment 53 Fedora Update System 2013-11-28 02:13:55 EST
docker-io-0.7.0-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-6.fc19
Comment 54 Fedora Update System 2013-11-28 04:12:38 EST
docker-io-0.7.0-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-9.fc20
Comment 55 Fedora Update System 2013-11-28 04:23:53 EST
docker-io-0.7.0-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-9.fc19
Comment 56 Fedora Update System 2013-11-28 04:42:08 EST
docker-io-0.7.0-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-9.el6
Comment 57 Fedora Update System 2013-11-28 13:28:13 EST
docker-io-0.7.0-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-10.fc20
Comment 58 Fedora Update System 2013-11-28 13:36:23 EST
docker-io-0.7.0-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-10.fc19
Comment 59 Fedora Update System 2013-11-28 13:44:06 EST
docker-io-0.7.0-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-10.el6
Comment 60 Fedora Update System 2013-11-29 10:59:39 EST
docker-io-0.7.0-10.fc20 has been pushed to the Fedora 20 testing repository.
Comment 61 Fedora Update System 2013-12-01 14:33:18 EST
docker-io-0.7.0-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-12.fc20
Comment 62 Fedora Update System 2013-12-01 21:45:05 EST
docker-io-0.7.0-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-12.fc19
Comment 63 Fedora Update System 2013-12-01 23:58:57 EST
docker-io-0.7.0-12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-12.el6
Comment 64 Fedora Update System 2013-12-02 10:59:55 EST
docker-io-0.7.0-14.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-14.fc20
Comment 65 Fedora Update System 2013-12-02 11:16:44 EST
docker-io-0.7.0-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-14.fc19
Comment 66 Fedora Update System 2013-12-02 11:27:58 EST
docker-io-0.7.0-14.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-14.el6
Comment 67 Lokesh Mandvekar 2013-12-02 11:54:34 EST
Package Change Request
======================
Package Name: docker-io
Branches: f18
Comment 68 Lokesh Mandvekar 2013-12-02 12:00:43 EST
(In reply to Lokesh Mandvekar from comment #67)
> Package Change Request
> ======================
> Package Name: docker-io
> Branches: f18

aah sorry ..disregard this ... i was able to set it myself
Comment 69 Fedora Update System 2013-12-02 20:19:52 EST
docker-io-0.7.0-14.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 70 Fedora Update System 2013-12-03 05:38:17 EST
docker-io-0.7.0-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 71 Fedora Update System 2013-12-13 21:47:15 EST
docker-io-0.7.0-14.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 72 Lokesh Mandvekar 2014-01-03 15:10:29 EST
Package Change Request
======================
Package Name: docker-io
Branches: el7
Comment 73 Gwyn Ciesla 2014-01-03 15:21:10 EST
Misformatted request, and no epel7 branches are being created yet.
Comment 74 Lokesh Mandvekar 2014-01-03 15:59:03 EST
(In reply to Jon Ciesla from comment #73)
> Misformatted request, and no epel7 branches are being created yet.


ahh I see I should've used "New Branches". Thanks for the headsup!
Comment 75 Lokesh Mandvekar 2014-01-13 13:32:48 EST
Package Change Request
======================
Package Name: docker-io
New Branches: el7
Comment 76 Lokesh Mandvekar 2014-01-13 15:05:27 EST
(In reply to Lokesh Mandvekar from comment #75)
> Package Change Request
> ======================
> Package Name: docker-io
> New Branches: el7

Sorry, ignore this please.
Comment 77 Matthew Miller 2014-02-11 10:03:12 EST
Hey Lokesh -- this package review is definitely done. I think it's time to stop including it in the update system bug list, because it keeps getting opened and closed again.

Note You need to log in before you can comment on or make changes to this bug.